
public class Point {
    private float x;
    private float y;
    
    public Point() {
        this.x = 0;
        this.y = 0;
    }
    
    public Point(float x, float y) {
        this.x = x;
        this.y = y;
    }

    public Point (Point p) {
        this.x = p.getX();
        this.y = p.getY();
    }

    public float getX() {
        return x;
    }

    public void setX(float x) {
        this.x = x;
    }

    public float getY() {
        return y;
    }

    public void setY(float y) {
        this.y = y;
    }

    public String toString() {
        String s = new String();
        
        s = this.getX()+";"+this.getY();
        return s;
    }

    public boolean equals(Point p) {
        if (this.x == p.getX() && this.y == p.getY())
            return true;
        else
            return false;
    }

    public double distance(Point p) {
        return Math.sqrt(Math.pow((p.getX()-this.getX()),2) + Math.pow((p.getY()-this.getY()),2));
    }

}
